package de.fhhannover.inform.trust.ifmapj_examples;

import de.fhhannover.inform.trust.ifmapj.exception.InitializationException;

/**
 * Hello world!
 *
 */
public class IfmapJExamples 
{
	// some examples want to do some sleeping
	private static final int SLEEP_TIME = 500; // ms
	
    public static void main( String[] args ) {
        System.out.println( "=== IFMAPJ EXAMPLES ===" );
        try {
        	new PollExample().run(args);
			new SessionExample().run(args);
	        new PublishExample().run(args);
	        new LoopLink().run(args);
	        new PublishExample2().run(args);
		} catch (InitializationException e) {
			System.err.println(e.getDescription());
			System.err.println(e.getMessage());
		}
    }
    
    static void sleepSomeTime() {
    	try {
    		Thread.sleep(SLEEP_TIME);
    	} catch (InterruptedException e) {
    		// ignore
    	}
    };
}
